Webhooks
Create Webhook Endpoint
client.Webhooks.New(ctx, body) (*WebhookEndpointWithSecret, error)
POST
/webhook_endpointsDelete Webhook Endpoint
client.Webhooks.Delete(ctx, webhookEndpointID) (*DeletedWebhookEndpoint, error)
DELETE
/webhook_endpoints/{webhook_endpoint_id}List Webhook Endpoints
client.Webhooks.List(ctx, query) (*CursorPage[WebhookEndpoint], error)
GET
/webhook_endpointsRetrieve Webhook Endpoint
client.Webhooks.Get(ctx, webhookEndpointID) (*WebhookEndpoint, error)
GET
/webhook_endpoints/{webhook_endpoint_id}Rotate Webhook Endpoint Signing Secret
client.Webhooks.RotateSecret(ctx, webhookEndpointID, body) (*WebhookEndpointWithSecret, error)
POST
/webhook_endpoints/{webhook_endpoint_id}/rotate_secretTest Webhook Endpoint
client.Webhooks.Test(ctx, webhookEndpointID, body) (*WebhookEndpointTestResult, error)
POST
/webhook_endpoints/{webhook_endpoint_id}/testUpdate Webhook Endpoint
client.Webhooks.Update(ctx, webhookEndpointID, body) (*WebhookEndpoint, error)
POST
/webhook_endpoints/{webhook_endpoint_id}WebhooksEvent Types
List Webhook Event Types
client.Webhooks.EventTypes.List(ctx) (*WebhookEventTypeList, error)
GET
/webhook_event_types